## org.hibernate.ejb.criteria
Interface Renderable

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, ExpressionImplementor<T>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, PathImplementor<X>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbsFunction, AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, AbstractPredicateImpl, AbstractSimplePredicate, AggregationFunction, AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST, AggregationFunction.LEAST, AggregationFunction.MAX, AggregationFunction.MIN, AggregationFunction.SUM, BasicFunctionExpression, BetweenPredicate, BinaryArithmeticOperation, BooleanAssertionPredicate, BooleanExpressionPredicate, BooleanStaticAssertionPredicate, CastFunction, CoalesceExpression, CollectionAttributeJoin, ComparisonPredicate, CompoundPredicate, CompoundSelectionImpl, ConcatExpression, CriteriaSubqueryImpl, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, EntityTypeExpression, ExistsPredicate, ExplicitTruthValueCheck, ExpressionImpl, InPredicate, IsEmptyPredicate, LengthFunction, LikePredicate, ListAttributeJoin, ListIndexExpression, LiteralExpression, LocateFunction, LowerFunction, MapAttributeJoin, MapEntryExpression, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, MemberOfPredicate, NullifExpression, NullLiteralExpression, NullnessPredicate, ParameterExpressionImpl, ParameterizedFunctionExpression, PathTypeExpression, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SearchedCaseExpression, SetAttributeJoin, SimpleCaseExpression, SingularAttributeJoin, SingularAttributePath, SizeOfCollectionExpression, SqrtFunction, SubqueryComparisonModifierExpression, SubstringFunction, TrimFunction, UnaryArithmeticOperation, UpperFunction

    public interface Renderable

TODO : javadoc

Author:
  Steve Ebersole

Method Summary
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Method Detail

### render

    String render(CriteriaQueryCompiler.RenderingContext renderingContext)

### renderProjection

    String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.